View Issue Details

IDProjectCategoryView StatusLast Update
0000376SOGoSOPEpublic2010-08-26 16:49
ReporterwsourdeauAssigned Towsourdeau 
PrioritynormalSeveritytweakReproducibilityhave not tried
Status resolvedResolutionfixed 
Fixed in Version1.3.2 
Summary0000376: "product" loading takes more time depending on the current directory
Description

2 seconds from an empty directory (~/src/SOGo/t/):

Jan 22 17:16:32 sogod [19127]: <0x0x1923200[SOGoProductLoader]> scanning SOGo products in: /usr/lib/GNUstep/SOGo
Jan 22 17:16:34 sogod [19127]: [we-rm] Note: component path caching is disabled!

12 seconds from home directory (containing a tree with hundreds of directories):
Jan 22 17:16:42 sogod [19129]: <0x0x16fc230[SOGoProductLoader]> scanning SOGo products in: /usr/lib/GNUstep/SOGo
Jan 22 17:16:54 sogod [19129]: [we-rm] Note: component path caching is disabled!

Additionnally, and this makes this bug important, the memory usage rises dangerously and makes SOGo restart in the second case, even for displaying the login page.

TagsNo tags attached.

Activities

wsourdeau

wsourdeau

2010-08-26 16:49

viewer   ~0001371

Fixed sometime today.

Issue History

Date Modified Username Field Change
2010-01-22 11:19 wsourdeau New Issue
2010-07-27 13:03 ludovic Severity major => tweak
2010-08-26 16:49 wsourdeau Note Added: 0001371
2010-08-26 16:49 wsourdeau Status new => resolved
2010-08-26 16:49 wsourdeau Fixed in Version => 1.3.2
2010-08-26 16:49 wsourdeau Resolution open => fixed
2010-08-26 16:49 wsourdeau Assigned To => wsourdeau